Articles of Градиент

Какая задача градиента вытягивает зависимости из удаленных репозиториев?

Я делаю переход на Gradle для моего Android-проекта. Я импортировал проект в Android Studio из Eclipse и обернул его с помощью Gradle 1.8. Мое предположение было зависимым от Gradle образом, как Maven, то есть если вы укажете зависимость, которая не существует в вашем локальном репозитории, она вытащит ее из удаленного репозитория. Android Studio не тянет […]

Настройте Gradle для выполнения этапа пользовательской сборки перед началом компиляции

Я начал использовать Gradle сегодня и после поиска в течение часа, а также каждый возможный ответ от SO (например, 1 ) и разных блогов (например, 2 ) и документации (например, 3 ) Мне нужна помощь. Мой вопрос прост: как выполнить пользовательский шаг сборки (в моем случае выполнение ndk-build с помощью настроенного Android.mk) в рамках обычного […]

Ресурс уже определил студию Android

У меня разные размеры изображений в папках с доступными ресурсами для разных размеров экрана. Все они splash_login.png splash_screen.png. В моем каталоге макетов больших ресурсов, однако, у меня есть splash_login.jpg и splash_screen.jpg, потому что изображения очень большие. Теперь, когда я пытаюсь запустить конструкцию gradle, я получаю следующую ошибку в трассировке стека build/intermediates/symbols/release Error Code:1 Output: res/drawable-large-v4/splash_login.png:0: […]

Задача Gradle не выполняется в Android Studio

Я попытался выполнить задачу градиента для lib-модуля lib1 в проекте Android Studio. Он должен запускаться с командой «gradlew assembleDebug» или «gralew assembly», но он никогда не запускается. task copy(type: Copy, dependsOn: ':lib1:assembleDebug') << { println "copying" } Я попробовал более простую задачу без какой-либо зависимости, и она никогда не запускается. task hello << { println […]

Версия Android sdk для градиента и манифеста

Я начал использовать Android Studio несколько недель назад, и есть вопрос, который у меня есть, в файле build.gradle мы можем установить minSdkVersion, как мы можем, в манифесте, но переопределяет ли другое? Если мы поместим разные значения в градиенте и на манифесте, что является следствием?

Инфракрасная версия альпинизма

Я пытаюсь настроить хороший маленький скрипт для версии в gradle, android studio, где имя версии увеличивается каждый раз, когда я делаю сборку, в то время как код версии только увеличивается, когда я делаю сборку релиза. Это возможно? То, что, я думаю, решит, это проверить в инструкции if, если это релиз или нет. Но как я […]

Ошибка: не удалось инициализировать класс javax.crypto.JceSecurity

Im получение этой ошибки Ошибка: не удалось инициализировать класс javax.crypto.JceSecurity в Android Studio 0.9.3, любые решения?

Gradle: как выполнять задачи, выполняемые один за другим?

В основном у меня есть 4 задачи, которые мне нужно запускать последовательно, но я не могу заставить их это делать, я должен запускать их один за другим в командной строке: gradle :drmdexsecondary:compileReleaseJava –info –debug –stacktrace gradle :drmdexsecondary:dexClasses –info –debug –stacktrace gradle :drmdexsecondary:jar –info –debug –stacktrace Вот мой build.gradle: evaluationDependsOnChildren (); task dexClasses( type:Exec ) { […]

Не удалось найти свойство «packageApplication» на com.android.build.gradle.internal.api.ApplicationVariantImpl_Decorated@5635bcd2

Вот мой build.gradle: https://github.com/SnowdreamFramework/android-gradle-template/blob/master/config/android.gradle Когда я пытаюсь обновить свой проект, чтобы использовать gradle 2.2.1 и classpath 'com.android.tools.build:gradle:1.0.0-rc1', тогда я компилирую и получаю ошибки следующим образом: $ gradle wrappers –info –stacktrace Starting Build Settings evaluated using settings file 'D:\workspace\snowdream\git\android-gradle-template\settings.gradle'. Projects loaded. Root project using build file 'D:\workspace\snowdream\git\android-gradle-template\build.gradle'. Included projects: [root project 'android-gradle-template', project ':app', project ':lib'] […]

После обновления для Android Studio 2.1.1 Ошибка: (30, 13)

Сегодня, после обновления Android Studio с 2.1.0 до 2.1.1 , при компиляции gradle ошибка показывает: Ошибка: (30, 13) Не удалось решить: com.google.code.ksoap2-android: ksoap2-android: 3.4.0 Как решить? build.gradle: buildscript { repositories { maven { url 'http://ksoap2-android.googlecode.com/svn/m2-repo' } jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.1.0' // NOTE: Do not place your application dependencies here; they belong // in […]

Intereting Posts
Активность и фрагментарный жизненный цикл, срабатывает ли onResume один за другим? Android: .nomedia игнорируется, изображения все еще появляются в галерее Как я могу использовать навигационный ящик без фрагментов? Скрыть / отключить меню по умолчанию в пользовательской закладке Chrome Проверка ошибок при попытке переноса приложения Android на BlackBerry 10 Библиотека FTDI D2XX открыла устройства с несколькими интерфейсами, используя вызов openByUSBDevice () Как скрыть панель инструментов при прокрутке списка? (Так же, как в Google Play Store) Профайл proguard.cfg отсутствует Android: ваш контент должен иметь ListView, чей атрибут id – android.R.id.list «Захват JS Bundle» Чудовищно медленно Android – как я могу использовать «android: layoutDirection»? Получить Android View Instance Как использовать Nexus 7 для разработки с mac os Изменить цвет селектора предпочтения Вращение webcamTexture отличается в единстве3d под Android